﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ARGNS.Repository.Activities {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="Activities.IActivityService")]
    public interface IActivityService {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetActivitiesList", ReplyAction="http://tempuri.org/IActivityService/GetActivitiesListResponse")]
        ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetActivitiesList(ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetActivitiesList", ReplyAction="http://tempuri.org/IActivityService/GetActivitiesListResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetActivitiesListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetActivitiesListSearch", ReplyAction="http://tempuri.org/IActivityService/GetActivitiesListSearchResponse")]
        ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetActivitiesListSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, string pModel, string pProject, string txtStatus, string txtRemarks);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetActivitiesListSearch", ReplyAction="http://tempuri.org/IActivityService/GetActivitiesListSearchResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetActivitiesListSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, string pModel, string pProject, string txtStatus, string txtRemarks);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetActivityStatusList", ReplyAction="http://tempuri.org/IActivityService/GetActivityStatusListResponse")]
        ARGNS.Model.Implementations.SAP.ActivityStatusSAP[] GetActivityStatusList(ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetActivityStatusList", ReplyAction="http://tempuri.org/IActivityService/GetActivityStatusListResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivityStatusSAP[]> GetActivityStatusListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetActivityById", ReplyAction="http://tempuri.org/IActivityService/GetActivityByIdResponse")]
        ARGNS.Model.Implementations.SAP.ActivitiesSAP GetActivityById(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int pCode, bool CheckApparelInstallation);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetActivityById", ReplyAction="http://tempuri.org/IActivityService/GetActivityByIdResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP> GetActivityByIdAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int pCode, bool CheckApparelInstallation);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/AddActivity", ReplyAction="http://tempuri.org/IActivityService/AddActivityResponse")]
        string AddActivity(ARGNS.Model.Implementations.SAP.ActivitiesSAP pObject, ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/AddActivity", ReplyAction="http://tempuri.org/IActivityService/AddActivityResponse")]
        System.Threading.Tasks.Task<string> AddActivityAsync(ARGNS.Model.Implementations.SAP.ActivitiesSAP pObject, ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/UpdateActivity", ReplyAction="http://tempuri.org/IActivityService/UpdateActivityResponse")]
        string UpdateActivity(ARGNS.Model.Implementations.SAP.ActivitiesSAP pObject, ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/UpdateActivity", ReplyAction="http://tempuri.org/IActivityService/UpdateActivityResponse")]
        System.Threading.Tasks.Task<string> UpdateActivityAsync(ARGNS.Model.Implementations.SAP.ActivitiesSAP pObject, ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/UpdateSalesOpportunitiesActivity", ReplyAction="http://tempuri.org/IActivityService/UpdateSalesOpportunitiesActivityResponse")]
        string UpdateSalesOpportunitiesActivity(int pActivityId, System.Nullable<int> pOpporId, System.Nullable<short> pLine, ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/UpdateSalesOpportunitiesActivity", ReplyAction="http://tempuri.org/IActivityService/UpdateSalesOpportunitiesActivityResponse")]
        System.Threading.Tasks.Task<string> UpdateSalesOpportunitiesActivityAsync(int pActivityId, System.Nullable<int> pOpporId, System.Nullable<short> pLine, ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetCRMActivitiesListSearch", ReplyAction="http://tempuri.org/IActivityService/GetCRMActivitiesListSearchResponse")]
        ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetCRMActivitiesListSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, string txtCode, string txtAction, string txtType, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, string txtPriority, string txtStatus, string txtRemarks, string txtBPCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetCRMActivitiesListSearch", ReplyAction="http://tempuri.org/IActivityService/GetCRMActivitiesListSearchResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetCRMActivitiesListSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, string txtCode, string txtAction, string txtType, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, string txtPriority, string txtStatus, string txtRemarks, string txtBPCode);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetUserCRMActivitiesSearch", ReplyAction="http://tempuri.org/IActivityService/GetUserCRMActivitiesSearchResponse")]
        ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetUserCRMActivitiesSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, int pUserId, string txtCode, string txtAction, string txtType, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, string txtPriority, string txtStatus, string txtRemarks);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetUserCRMActivitiesSearch", ReplyAction="http://tempuri.org/IActivityService/GetUserCRMActivitiesSearchResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetUserCRMActivitiesSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, int pUserId, string txtCode, string txtAction, string txtType, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, string txtPriority, string txtStatus, string txtRemarks);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetBPCRMActivitiesSearch", ReplyAction="http://tempuri.org/IActivityService/GetBPCRMActivitiesSearchResponse")]
        ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetBPCRMActivitiesSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, string pBPCode, string txtCode, string txtAction, string txtType, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, string txtPriority, string txtStatus, string txtRemarks);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetBPCRMActivitiesSearch", ReplyAction="http://tempuri.org/IActivityService/GetBPCRMActivitiesSearchResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetBPCRMActivitiesSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, string pBPCode, string txtCode, string txtAction, string txtType, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, string txtPriority, string txtStatus, string txtRemarks);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetSalesEmployeeCRMActivitiesSeach", ReplyAction="http://tempuri.org/IActivityService/GetSalesEmployeeCRMActivitiesSeachResponse")]
        ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetSalesEmployeeCRMActivitiesSeach(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, int pSECode, string txtCode, string txtAction, string txtType, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, string txtPriority, string txtStatus, string txtRemarks);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetSalesEmployeeCRMActivitiesSeach", ReplyAction="http://tempuri.org/IActivityService/GetSalesEmployeeCRMActivitiesSeachResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetSalesEmployeeCRMActivitiesSeachAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, int pSECode, string txtCode, string txtAction, string txtType, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, string txtPriority, string txtStatus, string txtRemarks);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetActivityCombo", ReplyAction="http://tempuri.org/IActivityService/GetActivityComboResponse")]
        ARGNS.Model.Implementations.SAP.ActivitiesSAPCombo GetActivityCombo(ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetActivityCombo", ReplyAction="http://tempuri.org/IActivityService/GetActivityComboResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAPCombo> GetActivityComboAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetCRMActivitiesListFromTo", ReplyAction="http://tempuri.org/IActivityService/GetCRMActivitiesListFromToResponse")]
        ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetCRMActivitiesListFromTo(ARGNS.Model.Implementations.CompanyConn pCompanyParam, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, int pUserId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetCRMActivitiesListFromTo", ReplyAction="http://tempuri.org/IActivityService/GetCRMActivitiesListFromToResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetCRMActivitiesListFromToAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, int pUserId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetBPMyActivitiesSearch", ReplyAction="http://tempuri.org/IActivityService/GetBPMyActivitiesSearchResponse")]
        ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetBPMyActivitiesSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, string pBPCode, string pModel, string pProject, string txtStatus, string txtRemarks);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetBPMyActivitiesSearch", ReplyAction="http://tempuri.org/IActivityService/GetBPMyActivitiesSearchResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetBPMyActivitiesSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, string pBPCode, string pModel, string pProject, string txtStatus, string txtRemarks);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetUserMyActivitiesSearch", ReplyAction="http://tempuri.org/IActivityService/GetUserMyActivitiesSearchResponse")]
        ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetUserMyActivitiesSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, int pUserId, string pModel, string pProject, string txtStatus, string txtRemarks);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActivityService/GetUserMyActivitiesSearch", ReplyAction="http://tempuri.org/IActivityService/GetUserMyActivitiesSearchResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetUserMyActivitiesSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, int pUserId, string pModel, string pProject, string txtStatus, string txtRemarks);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IActivityServiceChannel : ARGNS.Repository.Activities.IActivityService, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class ActivityServiceClient : System.ServiceModel.ClientBase<ARGNS.Repository.Activities.IActivityService>, ARGNS.Repository.Activities.IActivityService {
        
        public ActivityServiceClient() {
        }
        
        public ActivityServiceClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ActivityServiceClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ActivityServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ActivityServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetActivitiesList(ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.GetActivitiesList(pCompanyParam);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetActivitiesListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.GetActivitiesListAsync(pCompanyParam);
        }
        
        public ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetActivitiesListSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, string pModel, string pProject, string txtStatus, string txtRemarks) {
            return base.Channel.GetActivitiesListSearch(pCompanyParam, UserType, pModel, pProject, txtStatus, txtRemarks);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetActivitiesListSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, string pModel, string pProject, string txtStatus, string txtRemarks) {
            return base.Channel.GetActivitiesListSearchAsync(pCompanyParam, UserType, pModel, pProject, txtStatus, txtRemarks);
        }
        
        public ARGNS.Model.Implementations.SAP.ActivityStatusSAP[] GetActivityStatusList(ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.GetActivityStatusList(pCompanyParam);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivityStatusSAP[]> GetActivityStatusListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.GetActivityStatusListAsync(pCompanyParam);
        }
        
        public ARGNS.Model.Implementations.SAP.ActivitiesSAP GetActivityById(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int pCode, bool CheckApparelInstallation) {
            return base.Channel.GetActivityById(pCompanyParam, pCode, CheckApparelInstallation);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP> GetActivityByIdAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int pCode, bool CheckApparelInstallation) {
            return base.Channel.GetActivityByIdAsync(pCompanyParam, pCode, CheckApparelInstallation);
        }
        
        public string AddActivity(ARGNS.Model.Implementations.SAP.ActivitiesSAP pObject, ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.AddActivity(pObject, pCompanyParam);
        }
        
        public System.Threading.Tasks.Task<string> AddActivityAsync(ARGNS.Model.Implementations.SAP.ActivitiesSAP pObject, ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.AddActivityAsync(pObject, pCompanyParam);
        }
        
        public string UpdateActivity(ARGNS.Model.Implementations.SAP.ActivitiesSAP pObject, ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.UpdateActivity(pObject, pCompanyParam);
        }
        
        public System.Threading.Tasks.Task<string> UpdateActivityAsync(ARGNS.Model.Implementations.SAP.ActivitiesSAP pObject, ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.UpdateActivityAsync(pObject, pCompanyParam);
        }
        
        public string UpdateSalesOpportunitiesActivity(int pActivityId, System.Nullable<int> pOpporId, System.Nullable<short> pLine, ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.UpdateSalesOpportunitiesActivity(pActivityId, pOpporId, pLine, pCompanyParam);
        }
        
        public System.Threading.Tasks.Task<string> UpdateSalesOpportunitiesActivityAsync(int pActivityId, System.Nullable<int> pOpporId, System.Nullable<short> pLine, ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.UpdateSalesOpportunitiesActivityAsync(pActivityId, pOpporId, pLine, pCompanyParam);
        }
        
        public ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetCRMActivitiesListSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, string txtCode, string txtAction, string txtType, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, string txtPriority, string txtStatus, string txtRemarks, string txtBPCode) {
            return base.Channel.GetCRMActivitiesListSearch(pCompanyParam, UserType, txtCode, txtAction, txtType, txtStartDate, txtEndDate, txtPriority, txtStatus, txtRemarks, txtBPCode);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetCRMActivitiesListSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, string txtCode, string txtAction, string txtType, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, string txtPriority, string txtStatus, string txtRemarks, string txtBPCode) {
            return base.Channel.GetCRMActivitiesListSearchAsync(pCompanyParam, UserType, txtCode, txtAction, txtType, txtStartDate, txtEndDate, txtPriority, txtStatus, txtRemarks, txtBPCode);
        }
        
        public ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetUserCRMActivitiesSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, int pUserId, string txtCode, string txtAction, string txtType, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, string txtPriority, string txtStatus, string txtRemarks) {
            return base.Channel.GetUserCRMActivitiesSearch(pCompanyParam, UserType, pUserId, txtCode, txtAction, txtType, txtStartDate, txtEndDate, txtPriority, txtStatus, txtRemarks);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetUserCRMActivitiesSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, int pUserId, string txtCode, string txtAction, string txtType, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, string txtPriority, string txtStatus, string txtRemarks) {
            return base.Channel.GetUserCRMActivitiesSearchAsync(pCompanyParam, UserType, pUserId, txtCode, txtAction, txtType, txtStartDate, txtEndDate, txtPriority, txtStatus, txtRemarks);
        }
        
        public ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetBPCRMActivitiesSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, string pBPCode, string txtCode, string txtAction, string txtType, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, string txtPriority, string txtStatus, string txtRemarks) {
            return base.Channel.GetBPCRMActivitiesSearch(pCompanyParam, UserType, pBPCode, txtCode, txtAction, txtType, txtStartDate, txtEndDate, txtPriority, txtStatus, txtRemarks);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetBPCRMActivitiesSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, string pBPCode, string txtCode, string txtAction, string txtType, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, string txtPriority, string txtStatus, string txtRemarks) {
            return base.Channel.GetBPCRMActivitiesSearchAsync(pCompanyParam, UserType, pBPCode, txtCode, txtAction, txtType, txtStartDate, txtEndDate, txtPriority, txtStatus, txtRemarks);
        }
        
        public ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetSalesEmployeeCRMActivitiesSeach(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, int pSECode, string txtCode, string txtAction, string txtType, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, string txtPriority, string txtStatus, string txtRemarks) {
            return base.Channel.GetSalesEmployeeCRMActivitiesSeach(pCompanyParam, UserType, pSECode, txtCode, txtAction, txtType, txtStartDate, txtEndDate, txtPriority, txtStatus, txtRemarks);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetSalesEmployeeCRMActivitiesSeachAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, int pSECode, string txtCode, string txtAction, string txtType, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, string txtPriority, string txtStatus, string txtRemarks) {
            return base.Channel.GetSalesEmployeeCRMActivitiesSeachAsync(pCompanyParam, UserType, pSECode, txtCode, txtAction, txtType, txtStartDate, txtEndDate, txtPriority, txtStatus, txtRemarks);
        }
        
        public ARGNS.Model.Implementations.SAP.ActivitiesSAPCombo GetActivityCombo(ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.GetActivityCombo(pCompanyParam);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAPCombo> GetActivityComboAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.GetActivityComboAsync(pCompanyParam);
        }
        
        public ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetCRMActivitiesListFromTo(ARGNS.Model.Implementations.CompanyConn pCompanyParam, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, int pUserId) {
            return base.Channel.GetCRMActivitiesListFromTo(pCompanyParam, txtStartDate, txtEndDate, pUserId);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetCRMActivitiesListFromToAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, System.Nullable<System.DateTime> txtStartDate, System.Nullable<System.DateTime> txtEndDate, int pUserId) {
            return base.Channel.GetCRMActivitiesListFromToAsync(pCompanyParam, txtStartDate, txtEndDate, pUserId);
        }
        
        public ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetBPMyActivitiesSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, string pBPCode, string pModel, string pProject, string txtStatus, string txtRemarks) {
            return base.Channel.GetBPMyActivitiesSearch(pCompanyParam, UserType, pBPCode, pModel, pProject, txtStatus, txtRemarks);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetBPMyActivitiesSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, string pBPCode, string pModel, string pProject, string txtStatus, string txtRemarks) {
            return base.Channel.GetBPMyActivitiesSearchAsync(pCompanyParam, UserType, pBPCode, pModel, pProject, txtStatus, txtRemarks);
        }
        
        public ARGNS.Model.Implementations.SAP.ActivitiesSAP[] GetUserMyActivitiesSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, int pUserId, string pModel, string pProject, string txtStatus, string txtRemarks) {
            return base.Channel.GetUserMyActivitiesSearch(pCompanyParam, UserType, pUserId, pModel, pProject, txtStatus, txtRemarks);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ActivitiesSAP[]> GetUserMyActivitiesSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int UserType, int pUserId, string pModel, string pProject, string txtStatus, string txtRemarks) {
            return base.Channel.GetUserMyActivitiesSearchAsync(pCompanyParam, UserType, pUserId, pModel, pProject, txtStatus, txtRemarks);
        }
    }
}
